/**\example testProgressBar.cpp
 * @file testProgressBar.cpp
 * @brief FourierLibrary Testsystem
 * @author Michael Koch
 * @date 05/28/2008

 */

// #define DEBUG
// #undef DEBUG


#include "core/basics/Config.h"
#include <unistd.h>
#include "core/basics/StringTools.h"
// #include "features/simplefeatures/FourierLibrary.h"
#include "vislearning/baselib/ProgressBar.h"

#include <iostream>
#include <fstream>

using namespace NICE;
using namespace OBJREC;

using namespace std;

/**

 ProgressBarQtThread Testsystem

 */

//main

int main(int argc, char **argv)
{
#ifndef __clang__
#ifndef __llvm__
	std::set_terminate(__gnu_cxx::__verbose_terminate_handler);
#endif
#endif

	Config mainconf(argc, argv);

	OBJREC::ProgressBar P;
	for (int i = 0; i < 10; i++)
	{
		P.update(10);
		sleep(3);
		cerr << i << endl;
		if (i > 2)
		{
			P.show();
		}
	}
	P.hide();
	//	P.wait();

	return 0;
}
